<?php




require_once 'config.php';
require_once GREEN_ZONE_DIR . 'Forms/GZ_BaseForm.php';
require_once 'Classes/Queries/ObsFieldQuery.php';




class DisplayParametersView extends GZ_BaseForm
{
  // PUBLIC

  public function __construct( $set_gz )
  {
    parent::__construct( $set_gz );
    
    $this->all_parameters = null;
    $this->show_parameters = null;
    $this->LoadFromSession();
  }
  
  public function GetShowParameters() { return $this->show_parameters; }

  public function Display()
  {
    $smarty = $this->gz->CreateSmarty();
    
    $this->gz->smarty_assign( $smarty, 'all_parameters', $this->all_parameters );
    $this->gz->smarty_assign( $smarty, 'show_parameters', $this->show_parameters );
    
    $smarty->Display( 'DisplayParametersView.tpl' );
  }
  
  public function ReadForm()
  {
    if( isset( $this->gz->_POST['show_parameters'] ) )
      $this->parameters = $this->gz->_POST['show_parameters'];
  }

  public function ProcessActions()
  {
    $query = new ObsFieldQuery();
    $query->SetDatabase( $this->gz );
    $query->Execute();
    $this->all_parameters = $query->GetFields();
    
    return '';
  }
  
  // PRIVATE
      
  private $all_parameters;
  private $show_parameters;
  
  private function LoadFromSession()
  {
    global $_SESSION;
    if( isset( $_SESSION['show_parameters'] ) )
      $this->parameters = $_SESSION['show_parameters'];
  }
  
  private function StoreToSession()
  {
    global $_SESSION;
    
    if( $this->show_parameters != null )
      $_SESSION['show_parameters'] = $this->show_parameters;
  }
};


?>

